Page MenuHomePhabricator

Extract tag deletion permission from managechangetags
Closed, ResolvedPublic

Description

It would be useful if it would be possible to assign the permission to delete tags independent of further tag management because this is an irreversible destructive action. This would allow wikis to assign the managechangetags permission to less trsuted users than sysops.

Event Timeline

Restricted Application added a subscriber: TTO. · View Herald TranscriptApr 27 2016, 9:00 PM

Change 286282 had a related patch set uploaded (by MGChecker):
Split off permission to delete tags from managechangetags permission

https://gerrit.wikimedia.org/r/286282

MGChecker triaged this task as Normal priority.May 4 2016, 7:53 PM

Change 286282 merged by jenkins-bot:
Split off permission to delete tags from managechangetags permission

https://gerrit.wikimedia.org/r/286282

MGChecker closed this task as Resolved.May 14 2016, 11:37 AM

Patch mergesd, I also fixed GUI problems for users with deletechangetags permission only with https://gerrit.wikimedia.org/r/#/c/288712/.